Forum > Free Pascal

FPC 3.2.x series branched, trunk update to 3.3.1

<< < (40/41) > >>

Martin_fr:

--- Quote from: Seenkao on May 20, 2020, 06:20:23 am ---If Lazarus would provide more information when trying to run a program on Linux, I would provide more information. But Lazarus did not provide any information, only: "Error: RunError (211)".
What other information can I attach?

--- End quote ---
https://www.freepascal.org/docs-html/user/userap4.html
 "Call to abstract method"

Something calls none existing code.

What does the stack window show?


--- Quote ---it does not compile on Linux
--- End quote ---
Not compile? or not run? or even it fails when run?

Seenkao:
Не компилируется и не создаёт файл.
Not compile and not create.


Я не могу даже отладку запустить, чтоб узнать в чём дело.
translate:
I can’t even start debugging to find out what’s the matter.


--- Quote from: Martin_fr on May 20, 2020, 01:54:24 pm ---https://www.freepascal.org/docs-html/user/userap4.html
 "Call to abstract method"

--- End quote ---

благодарю, но к сожалению это не приближает к ответу. Всё равно в "угадайку" надо играть, чтоб понять в чём причина.

translate:
Thank you, but unfortunately this does not bring us closer to the answer. All the same, you must play the "guessing game" in order to understand the reason.

PascalDragon:
I've tried to reproduce your problem on both x86_64-linux as well as x86_64-win64 with both FPC 3.0.4 and FPC 3.3.1 as well as Lazarus 2.0.6 and 2.1 however the ZenGL demos work without any problem for me. Can you try whether the demos work for you as well? (you'll need to copy the ZenGL library to the output directory of the demos to use it)

Seenkao:
У меня демонстрационные примеры так же не запускаются. Проблемы я не нашёл.
Запускаются при Lazarus 2.0.0 + FPC 3.0.4.
Используя FPC 3.3.1 появляются ошибки, проект может скомпилироваться но не запускается, в Lazarus выдаёт ошибку.

Благодарю за то что проверили работоспособность! Извиняюсь за ваше потраченное время!

Буду искать проблемы у себя. Если выясню в чём дело отпишусь.

translate:
My demos also do not start. I did not find a problem.
Run with Lazarus 2.0.0 + FPC 3.0.4.
Using FPC 3.3.1 errors appear, the project may compile but does not start, it generates an error in Lazarus.

Thank you for checking the performance! I apologize for your time!

I will look for problems at home. If I find out what's the matter, unsubscribe.

forgot, Linux.
on Windows, this problem is solved

Seenkao:
sorry for the long answer.

В общем проблема не совсем понятна. Если я использую Typhon или GetLazarus то проблема есть (но раньше не было), я видимо что-то установил, и после этого появились проблемы.
После установки стандартной версии Lazarus из Synaptic всё запустилось нормально.

Так же я не знаю, проблема это или нет, но очень не удобно держать несколько разных версий Lazarus для компилирование под разные среды. Под Windows (как и под Линукс)  я просто меняю компилятор, но если в Windows это не вызывает проблем, то под Linux это может вызвать разнообразные ошибки при смене компилятора.

Если это так и должно быть, тогда вопрос снимается.

Google translate: In general, the problem is not entirely clear. If I use Typhon or GetLazarus, then there is a problem (but it didn’t exist before), I apparently installed something, and then problems appeared.
After installing the standard version of Lazarus from Synaptic, everything started fine.

I also don’t know if this is a problem or not, but it’s very inconvenient to keep several different versions of Lazarus for compiling under different environments. Under Windows (as well as under Linux), I just change the compiler, but if it does not cause problems on Windows, then under Linux it can cause a variety of errors when changing the compiler.

If this is as it should be, then the question is removed.

Navigation

[0] Message Index

[#] Next page

[*] Previous page

Go to full version